Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 4901)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1)
@@ -1,143 +1,138 @@
-!> @file init_3d_model.f90
-!--------------------------------------------------------------------------------------------------!
-! This file is part of the PALM model system.
-!
-! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
-! Public License as published by the Free Software Foundation, either version 3 of the License, or
-! (at your option) any later version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
-! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
-! Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with PALM. If not, see
-! <http://www.gnu.org/licenses/>.
-!
-! Copyright 1997-2021 Leibniz Universitaet Hannover
-!--------------------------------------------------------------------------------------------------!
-!
-! Current revisions:
-! ------------------
-!
+#if defined( __ibmy_special )
+@PROCESS NOOPTimize
+#endif
+ SUBROUTINE init_3d_model
+
+!------------------------------------------------------------------------------!
+! Actual revisions:
+! -----------------
+! 
 !
 ! Former revisions:
 ! -----------------
-! $Id$
-! Rename resize_array into add_ghost_layers and remove number of passed indices
-!
-! 4877 2021-02-17 16:17:35Z suehring
-! Bugfix in initialization of vertical surfaces with roughness and surface heat fluxes
-!
-! 4848 2021-01-21 15:51:51Z gronemeier
-! replaced use_syn_turb_gen by syn_turb_gen
-!
-! 4845 2021-01-18 11:15:37Z raasch
-! removed allocation and initialization of arrays required for radiation boundary conditions
-!
-! 4828 2021-01-05 11:21:41Z Giersch
-! Add possibility to initialize surface flux of passive scalar via static driver
-!
-! 4783 2020-11-13 13:58:45Z raasch
-! bugfix for reading restart data with MPI-I/O (does not work with blockwise I/O)
-!
-! 4680 2020-09-16 10:20:34Z gronemeier
-! Add option to fix date or time of the simulation
-!
-! 4671 2020-09-09 20:27:58Z pavelkrc
-! Implementation of downward facing USM and LSM surfaces
-!
-! 4648 2020-08-25 07:52:08Z raasch
-! file re-formatted to follow the PALM coding standard
-!
-! 4548 2020-05-28 19:36:45Z suehring
-! Bugfix, move call for lsf_forcing_surf after lsf_init is called
-!
-! 4514 2020-04-30 16:29:59Z suehring
-! Add possibility to initialize surface sensible and latent heat fluxes via a static driver.
-!
-! 4493 2020-04-10 09:49:43Z pavelkrc
-! Overwrite u_init, v_init, pt_init, q_init and s_init with hom for all cyclic_fill-cases, not only
-! for turbulent_inflow = .TRUE.
-!
-! 4360 2020-01-07 11:25:50Z suehring
-! Introduction of wall_flags_total_0, which currently sets bits based on static topography
-! information used in wall_flags_static_0
-!
-! 4329 2019-12-10 15:46:36Z motisi
-! Renamed wall_flags_0 to wall_flags_static_0
-!
-! 4286 2019-10-30 16:01:14Z resler
-! implement new palm_date_time_mod
-!
-! 4223 2019-09-10 09:20:47Z gronemeier
-! Deallocate temporary string array since it may be re-used to read different input data in other
-! modules
-!
-! 4186 2019-08-23 16:06:14Z suehring
-! Design change, use variables defined in netcdf_data_input_mod to read netcd variables rather than
-! define local ones.
-!
-! 4185 2019-08-23 13:49:38Z oliver.maas
-! For initializing_actions = ' cyclic_fill':
-! Overwrite u_init, v_init, pt_init, q_init and s_init with the (temporally) and horizontally
-! averaged vertical profiles from the end of the prerun, because these profiles shall be used as the
-! basic state for the rayleigh damping and the pt_damping.
-!
-! 4182 2019-08-22 15:20:23Z scharf
-! Corrected "Former revisions" section
-!
-! 4168 2019-08-16 13:50:17Z suehring
-! Replace function get_topography_top_index by topo_top_ind
-!
-! 4151 2019-08-09 08:24:30Z suehring
-! Add netcdf directive around input calls (fix for last commit)
-!
-! 4150 2019-08-08 20:00:47Z suehring
-! Input of additional surface variables independent on land- or urban-surface model
-!
-! 4131 2019-08-02 11:06:18Z monakurppa
-! Allocate sums and sums_l to allow profile output for salsa variables.
-!
-! 4130 2019-08-01 13:04:13Z suehring
-! Effectively reduce 3D initialization to 1D initial profiles. This is because 3D initialization
-! produces structures in the w-component that are correlated with the processor grid for some
-! unknown reason
-!
-! 4090 2019-07-11 15:06:47Z Giersch
-! Unused variables removed
-!
-! 4088 2019-07-11 13:57:56Z Giersch
-! Pressure and density profile calculations revised using basic functions
-!
-! 4048 2019-06-21 21:00:21Z knoop
-! Further modularization of particle code components
-!
-! 4017 2019-06-06 12:16:46Z schwenkel
-! Convert most location messages to debug messages to reduce output in job logfile to a minimum
-!
-! unused variable removed
-!
-! 3937 2019-04-29 15:09:07Z suehring
-! Move initialization of synthetic turbulence generator behind initialization of offline nesting.
-! Remove call for stg_adjust, as this is now already done in stg_init.
-!
-! 3900 2019-04-16 15:17:43Z suehring
-! Fix problem with LOD = 2 initialization
-!
-! 3885 2019-04-11 11:29:34Z kanani
-! Changes related to global restructuring of location messages and introduction of additional debug
-! messages
-!
-! 3849 2019-04-01 16:35:16Z knoop
-! Move initialization of rmask before initializing user_init_arrays
-!
-! 3711 2019-01-31 13:44:26Z knoop
-! Introduced module_interface_init_checks for post-init checks in modules
-!
-! 3700 2019-01-26 17:03:42Z knoop
-! Some interface calls moved to module_interface + cleanup
-!
-! 3648 2019-01-02 16:35:46Z suehring
-! Rename subroutines for surface-data output
+! $Log: init_3d_model.f90,v $
+! Revision 1.49  2006/08/22 15:59:07  raasch
+! No optimization of this file on the ibmy (Yonsei Univ.)
+!
+! Revision 1.48  2006/08/22 13:58:30  raasch
+! Initialisation of all tendency arrays (t.._m) needed for the Runge-Kutta
+! schemes
+!
+! Revision 1.47  2006/08/04 14:39:20  raasch
+! Allocation of diss, needed for calculating the sgs particle velocities
+!
+! Revision 1.46  2006/05/15 08:14:56  letzel
+! Initialize volume_flow_initial_l and volume_flow_area_l with 0.0
+!
+! Revision 1.45  2006/04/26 13:32:44  raasch
+! Provisional correction for Piacsek & Williams advection scheme: keep u and
+! v zero one layer below the topography (in case of set_1d-model_profiles).
+!
+! Revision 1.44  2006/04/26 12:22:09  raasch
+! sums_l and sums_l_l changed to three dimensions
+!
+! Revision 1.43  2006/02/23 12:29:11  raasch
+! Allocation and default setting of k index arrays nzb_2d and nzb_diff_2d
+! moved to routine init_grid, nanz_sums, nanz_2dh and nanz_3d renamed ngp_sums,
+! ngp_2dh and ngp_3d, respectively,
+! allocation and setting of ngp_2dh and ngp_3d moved from parin and init_pegrid
+! to here,
+! read_fields_from_prior_run renamed read_restart_data,
+! new grid point counters ngp_2dh_outer and ngp_3d_inner are calculated,
+! additional argument nzb_.._inner added to call of disturb_field
+! optional calculation of the initial volume flow through the right and north
+! boundary
+!
+! Revision 1.42  2005/06/26 19:55:01  raasch
+! ql is now a pointer, init_cloud_physics is called anyway
+!
+! Revision 1.41  2005/03/26 20:29:41  raasch
+! Arguments for non-cyclic boundary conditions added in call of routine
+! disturb_field, diffusivities km_damp_x and km_damp_y used within the outflow
+! damping layer are allocated and initialized, uvmean_outflow is allocated
+!
+! Revision 1.40  2004/04/30 11:59:05  raasch
+! Reading of restart data is moved to new routine read_3d_binary,
+! diffusion quantity arrays are allocated for previous timelevels only
+! in case of leapfrog scheme, enlarged transposition array d
+!
+! Revision 1.39  2004/01/30 10:27:20  raasch
+! Allocation and default setting of index arrays nzb_2d and nzb_diff_2d
+!
+! Revision 1.38  2004/01/28 15:09:56  raasch
+! Time levels for Runge-Kutta scheme initialized, setting of bt before
+! calling pres removed
+!
+! Revision 1.37  2003/10/29 08:54:05  raasch
+! Random numbers are initialized or random seed is read from file of
+! previous run, module random_function_mod is used, new binary version 2.2
+!
+! Revision 1.36  2003/08/01 08:25:08  raasch
+! Array sums is initialized (must be defined in the first call of pres),
+! call of init_cloud_physics moved before init_particles
+!
+! Revision 1.35  2003/04/09 11:50:50  raasch
+! In case of initialisation with constant profiles, the horizontal
+! velocities at k=0,1 are explicitly set to zero
+!
+! Revision 1.34  2003/03/16 09:39:39  raasch
+! Two underscores (_) are placed in front of all define-strings
+!
+! Revision 1.33  2002/12/19 15:32:42  raasch
+! Subroutine local_tremain_ini (initializing the remaining cpu-time)
+! moved to main program (palm), reading of array hom is moved to routine
+! read_var_list, STOP statement replaced by call of subroutine local_stop
+!
+! Revision 1.32  2002/05/02 18:51:11  raasch
+! Time level t+dt re-introduced and initialized
+!
+! Revision 1.31  2001/11/05  09:31:38  09:31:38  weinbrec (Sonja Weinbrecht)
+! Initialization of spectrum_x and spectrum_y for continuation runs
+! 
+! Revision 1.30  2001/03/30 07:25:25  raasch
+! Arguments removed from pres, arrays work and work1 removed,
+! initialization of timelevel t+dt removed,
+! Translation of remaining German identifiers (variables, subroutines, etc.)
+!
+! Revision 1.29  2001/01/29 12:27:49  raasch
+! Passive scalar is considered
+!
+! Revision 1.28  2001/01/25 07:02:19  raasch
+! Initialization of surface fluxes changed due to new variable
+! use_surface_fluxes
+!
+! Revision 1.27  2001/01/05 15:12:23  raasch
+! Allocate spectrum_x and spectrum_y, new binary version 2.1
+!
+! Revision 1.26  2001/01/02 17:29:43  raasch
+! Unit 13 closed after reading binary input (after call of user_init, where
+! read from unit 13 may occur)
+!
+! Revision 1.25  2000/12/28 13:05:53  raasch
+! Init_particles is called unconditionally
+!
+! Revision 1.24  2000/04/27 07:05:19  raasch
+! Call of subroutine init_slope added to compute the initial temperature field
+! and other constants used in case of a sloping surface,
+! call of subroutine init_dvrp added to initialize dvrp-software,
+! old revision remarks deleted
+!
+! Revision 1.23  2000/04/13 13:22:09  schroeter
+! Allokieren und Initialisierung der Feuchtefelder und Wolkenphysikparameter
+!
+! Revision 1.22  2000/01/26  10:30:49  10:30:49  letzel (Marcus Letzel)
+! All comments translated into English
+! 
+! Revision 1.21  2000/01/10 09:54:10  raasch
+! Trennung der zeitabhaengigen Variablen in pointer und targets,
+! Anfangszuordnung der pointer
+!
+! Revision 1.17  1999/03/03 07:22:35  raasch
+! Beim binaeren Einlesen werden alle Variablen mit exakter Laenge von Datei
+! gelesen, da sich bei schneller I/O Records nicht einfach ueberspringen lassen
+!
+! Revision 1.14  1998/12/15 07:33:50  raasch
+! Zusaetzliche Ermittelung der tatsaechlichen Einlesezeiten auf T3E
+! mit messpunkt_e(14) unter Verwendung von TIMEF (s. cpu_zeitmessung)
 !
 ! Revision 1.1  1998/03/09 16:22:22  raasch
